Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 764077 - sys-auth/fprintd-0.8.1-r3 fails to compile with -fno-common
Summary: sys-auth/fprintd-0.8.1-r3 fails to compile with -fno-common
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Maxim Koltsov
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: -fno-common gcc-10-stable
  Show dependency tree
 
Reported: 2021-01-06 09:56 UTC by Agostino Sarubbo
Modified: 2021-01-12 09:37 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,37.92 KB, text/plain)
2021-01-06 09:56 UTC, Agostino Sarubbo
Details
build.log (build.log,34.91 KB, text/plain)
2021-01-06 12:01 UTC, Leonid Kopylov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2021-01-06 09:56:14 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: sys-auth/fprintd-0.8.1-r3 fails to compile with -fno-common.
Discovered on: amd64 (internal ref: ci)

NOTE:
To reproduce this issue you may want to set CFLAGS="${CFLAGS} -fno-common" or compile it with gcc-10 that enables -fno-common by default.
Comment 1 Agostino Sarubbo gentoo-dev 2021-01-06 09:56:17 UTC
Created attachment 681469 [details]
build.log

build log and emerge --info
Comment 2 Agostino Sarubbo gentoo-dev 2021-01-06 09:56:20 UTC
Possible context of error(s):

/usr/lib/gcc/x86_64-pc-linux-gnu/10.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: ./.libs/libfprintd.a(device.o):(.bss+0x0): multiple definition of `store'; main.o:(.bss+0x0): first defined here
collect2: error: ld returned 1 exit status
Comment 3 Leonid Kopylov 2021-01-06 12:00:36 UTC
Have exactly the same error
Comment 4 Leonid Kopylov 2021-01-06 12:01:47 UTC
Created attachment 681511 [details]
build.log
Comment 5 Larry the Git Cow gentoo-dev 2021-01-12 09:37:21 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=989f5747c6845c252e893686086f4452df94d9c5

commit 989f5747c6845c252e893686086f4452df94d9c5
Author:     Jakov Smolic <jakov.smolic@sartura.hr>
AuthorDate: 2021-01-12 09:36:53 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2021-01-12 09:36:53 +0000

    sys-auth/fprintd: Fix build with gcc-10
    
    * Disable static-libs
    
    Closes: https://github.com/gentoo/gentoo/pull/18965
    Closes: https://bugs.gentoo.org/764077
    Signed-off-by: Jakov Smolic <jakov.smolic@sartura.hr>
    Signed-off-by: David Seifert <soap@gentoo.org>

 .../fprintd/files/fprintd-0.8.1-fno-common.patch   | 44 ++++++++++++++++++++++
 sys-auth/fprintd/fprintd-0.8.1-r3.ebuild           | 21 ++++++-----
 2 files changed, 56 insertions(+), 9 deletions(-)